module barrel_shifter (
   input  [7:0] in,
   input  [2:0] shamt,
   output [7:0] out
);

wire [7:0] t0, t1;

assign t0  = shamt[0] ? {in[0],   in[7:1]} : in;
assign t1  = shamt[1] ? {t0[1:0], t0[7:2]} : t0;
assign out = shamt[2] ? {t1[3:0], t1[7:4]} : t1;

endmodule