`timescale 1 ns/1 ps

module testbench;

localparam DELAY = 100;

reg  [7:0] test_in;
reg  [2:0] test_shamt;
wire [7:0] test_out;

integer i;

barrel_shifter uut (
   .in   (test_in   ),
   .shamt(test_shamt),
   .out  (test_out  )
);

initial begin
   test_in = 8'b1100_0111;
   for (i=0; i<8; i=i+1) begin
      test_shamt = i; #DELAY;
   end
   $stop;
end

endmodule