`timescale 1 ns/1 ps

module testbench;

localparam DELAY = 100;
localparam N = 8;

reg  [N-1:0] test_a, test_b;
wire         test_gt, test_lt, test_eq;

full_comp_b 
#(
   .N (N      )
) uut (
   .a (test_a ),
   .b (test_b ),
   .gt(test_gt),
   .lt(test_lt),
   .eq(test_eq)
);

initial begin
   test_a = 8'd100; test_b = 8'd55; #DELAY;
   test_a = 8'd100; test_b = 8'd155; #DELAY;
   test_a = 8'd100; test_b = 8'd100; #DELAY;
   $stop;
end

endmodule