`timescale 1 ns/1 ps

module testbench;

localparam DELAY = 100;
localparam N = 8;

reg          test_s;
reg  [N-1:0] test_a, test_b;
wire [N-1:0] test_f;

func_sharing_b 
#(
   .N (N      )
) uut (
   .s (test_s ),
   .a (test_a ),
   .b (test_b ),
   .f (test_f )
);

initial begin
   test_s = 1'b1; test_a = 8'd100; test_b = 8'd55; #DELAY;
   test_s = 1'b0; test_a = 8'd100; test_b = 8'd55; #DELAY;
   $stop;
end

endmodule