module op_sharing_ex4a 
#(
   parameter N = 8
)(
   input          s,
   input  [N-1:0] a, b, c, d,
   output [N-1:0] x, y,
   output         x_ov, y_ov
);

reg [N:0] x_tmp, y_tmp;

always @* begin
   if (s) begin
      x_tmp = a+b;
      y_tmp = 0;
   end
   else begin
      x_tmp = 1;
      y_tmp = c+d;
   end
end

assign x = x_tmp[N-1:0];
assign x_ov = x_tmp[N];

assign y = y_tmp[N-1:0];
assign y_ov = y_tmp[N];

endmodule