`timescale 1 ns/1 ps

module testbench;

localparam DELAY = 100;
localparam N = 8;

reg          test_s;
reg  [N-1:0] test_a, test_b, test_c, test_d;
wire [N-1:0] test_x, test_y;
wire         test_x_ov, test_y_ov;

op_sharing_ex4b 
#(
   .N   (N        )
) uut (
   .s   (test_s   ),
   .a   (test_a   ),
   .b   (test_b   ),
   .c   (test_c   ),
   .d   (test_d   ),
   .x   (test_x   ),
   .y   (test_y   ),
   .x_ov(test_x_ov),
   .y_ov(test_y_ov)
);

initial begin
   test_s = 1'b1; test_a = 8'd100; test_b = 8'd55; test_c = 8'd0; test_d = 8'd111; #DELAY;
   test_s = 1'b0; test_a = 8'd100; test_b = 8'd55; test_c = 8'd0; test_d = 8'd111; #DELAY;
   $stop;
end

endmodule