module sseg_decoder (
   input      [3:0] num,
   input            dp,
   output reg [7:0] sseg
);

always @* begin
   case (num)
      4'd0: sseg[6:0] = 7'b111_1110;
      4'd1: sseg[6:0] = 7'b011_0000; 
      4'd2: sseg[6:0] = 7'b110_1101; 
      4'd3: sseg[6:0] = 7'b111_1001; 
      4'd4: sseg[6:0] = 7'b011_0011; 
      4'd5: sseg[6:0] = 7'b101_1011; 
      4'd6: sseg[6:0] = 7'b101_1111; 
      4'd7: sseg[6:0] = 7'b111_0000; 
      4'd8: sseg[6:0] = 7'b111_1111; 
      default: sseg[6:0] = 7'b111_1011; // 4’d9
   endcase
   sseg[7] = dp;
end

endmodule