`timescale 1 ns/1 ps

module testbench;

localparam DELAY = 100;

reg  [3:0] test_num;
reg        test_dp;
wire [7:0] test_sseg;

integer i;

sseg_decoder uut (
   .num (test_num ),
   .dp  (test_dp  ),
   .sseg(test_sseg)
);

initial begin
   test_dp = 1'b1;
   for (i=0; i<10; i=i+1) begin
      test_num = i; #DELAY;
   end
   test_dp = 1'b0;
   for (i=0; i<10; i=i+1) begin
      test_num = i; #DELAY;
   end
   $stop;
end

endmodule