module full_comp_b 
#(
   parameter N = 8
)(
   input  [N-1:0] a, b,
   output         gt, lt, eq
);

assign gt = (a > b) ? 1'b1 : 1'b0;
assign eq = (a == b) ? 1'b1 : 1'b0;
assign lt = ~(gt|eq);

endmodule