module func_sharing_a 
#(
   parameter N = 8
)(
   input          s,
   input  [N-1:0] a, b,
   output [N-1:0] f
);

reg [N:0] tmp;

always @* begin
   if (s)
      tmp = a-b;
   else
      tmp = a+b;
end

assign f = tmp[N-1:0];

endmodule