module op_sharing_ex2a 
#(
   parameter N = 8
)(
   input  [1:0]   s,
   input  [N-1:0] a, b, c, d, e,
   output [N-1:0] f,
   output         ov
);

reg [N:0] tmp;

always @* begin
   if (s == 2'b01)
      tmp = a+b;
   else if (s == 2'b10)
      tmp = a+c;
   else
      tmp = d+e;
end

assign f = tmp[N-1:0];
assign ov = tmp[N];

endmodule