module op_sharing_ex3a 
#(
   parameter N = 8
)(
   input  [1:0]   s,
   input  [N-1:0] a, b, c, d, e,
   output [N-1:0] f,
   output         ov
);

reg [N:0] tmp;

always @* begin
   case (s)
      2'b01: tmp = a+b;
      2'b10: tmp = a+c;
      default: tmp = d+e;
   endcase
end

assign f = tmp[N-1:0];
assign ov = tmp[N];

endmodule