`timescale 1 ns/1 ps

module testbench;

localparam DELAY = 100;
localparam N = 8;

reg  [1:0]   test_s;
reg  [N-1:0] test_a, test_b, test_c, test_d, test_e;
wire [N-1:0] test_f;
wire         test_ov;

op_sharing_ex3b 
#(
   .N (N      )
) uut (
   .s (test_s ),
   .a (test_a ),
   .b (test_b ),
   .c (test_c ),
   .d (test_d ),
   .e (test_e ),
   .f (test_f ),
   .ov(test_ov)
);

initial begin
   test_s = 2'b01; test_a = 8'd100; test_b = 8'd55; test_c = 8'd0; test_d = 8'd111; test_e = 8'd22; #DELAY;
   test_s = 2'b10; test_a = 8'd100; test_b = 8'd55; test_c = 8'd0; test_d = 8'd111; test_e = 8'd22; #DELAY;
   test_s = 2'b00; test_a = 8'd100; test_b = 8'd55; test_c = 8'd0; test_d = 8'd111; test_e = 8'd22; #DELAY;
   test_s = 2'b11; test_a = 8'd100; test_b = 8'd55; test_c = 8'd0; test_d = 8'd111; test_e = 8'd22; #DELAY;
   $stop;
end

endmodule